# quotes\_dlx\_core\_license\_{action}

After a license action has been executed, you can run custom code based on the action and response.

{% hint style="info" %}
Location: `php/Admin/Plugin_License.php`
{% endhint %}

{% code overflow="wrap" %}

```php
/**
 * Perform an action based on response/action.
 *
 * @since 1.0.0
 *
 * @param string $action   Can be: check_license, activate_license, deactivate_license
 * @param array  $response Response of the action.
 */
do_action( 'quotes_dlx_core_license_' . $action, $response );
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dlxplugins.com/quotes-dlx/developers/actions/quotes_dlx_core_license_-action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
